Subject: bug#68574: closed (Re: [PATCH] gnu: gnome-shell-extension-paperwm: Update to 44.17.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Jan 2024 08:52:02 +0000

Your bug report

#68574: [PATCH] gnu: gnome-shell-extension-paperwm: Update to 44.17.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68574: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68574
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: gnome-shell-extension-paperwm: Update to 44.17.0.
From: Liliana Marie Prikler <[email-masked]>
To: Vivien Kraus <[email-masked]>, [email-masked]
Date: Sun, 21 Jan 2024 09:50:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Am Samstag, dem 20.01.2024 um 00:22 +0100 schrieb Vivien Kraus:
> Hello!
> 
> Thank you for your patch! How convenient, 44.17.0 is also the latest
> version that works on GNOME 44, which is being worked on over at
> https://issues.guix.gnu.org/68556
> 
> Since you update the package, maybe it could be the right time to
> update the packaging style also. There are 3 things that you could
> change:
> 
> - convert the 'arguments field to a list of G-Expressions;
> - remove the #t at the end of the 'compile-schemas phase;
> - remove the package label in native-inputs.
> 
> Aside from that, I see no problem with your patch.
I've pushed the original version, followed by a style update that
incorporates both of your fixes.  I hope that's fine.

Cheers

Subject: [PATCH] gnu: gnome-shell-extension-paperwm: Update to 44.17.0.
From: Justin Veilleux <[email-masked]>
To: [email-masked]
Date: Thu, 18 Jan 2024 16:41:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi. paperwm was not working. I updated it to v44.17.0 which is the
latest release supporting our version of gnome (42)

Cheers.

>From b00fe5137e3df484f3529ef909f7d894ad0e3495 Mon Sep 17 00:00:00 2001
Message-ID: <b00[email-masked]>
From: terramorpha <[email-masked]>
Date: Thu, 18 Jan 2024 16:36:26 -0500
Subject: [PATCH] gnu: gnome-shell-extension-paperwm: Update to 44.17.0.

* gnu/packages/gnome-xyz.scm (gnome-shell-extension-paperwm): Update to 44.17.0.

Change-Id: I3d9923ccfdb35b9952c24d8dd3d064c3cba7b8c2
---
 gnu/packages/gnome-xyz.scm | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/gnome-xyz.scm b/gnu/packages/gnome-xyz.scm
index 6b66658215..399d58ef1b 100644
--- a/gnu/packages/gnome-xyz.scm
+++ b/gnu/packages/gnome-xyz.scm
@@ -13,7 +13,7 @@
 ;;; Copyright © 2021, 2022 Vinicius Monego <[email-masked]>
 ;;; Copyright © 2021 Guillaume Le Vaillant <[email-masked]>
 ;;; Copyright © 2021 Songlin Jiang <[email-masked]>
-;;; Copyright © 2021, 2022 Justin Veilleux <[email-masked]>
+;;; Copyright © 2021, 2022, 2024 Justin Veilleux <[email-masked]>
 ;;; Copyright © 2021 Attila Lendvai <[email-masked]>
 ;;; Copyright © 2021 Charles Jackson <[email-masked]>
 ;;; Copyright © 2022 Eric Bavier <[email-masked]>
@@ -1016,24 +1016,24 @@ (define-public gnome-shell-extension-noannoyance
 (define-public gnome-shell-extension-paperwm
   (package
     (name "gnome-shell-extension-paperwm")
-    (version "36.0")
+    (version "44.17.0")
     (source (origin
               (method git-fetch)
               (uri (git-reference
                     (url "https://github.com/paperwm/PaperWM")
-                    (commit version)))
+                    (commit (string-append "v" version))))
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1ssnabwxrns36c61ppspjkr9i3qifv08pf2jpwl7cjv3pvyn4kly"))
+                "1d91k9qih81wckqf6554kf8grv6q61rkk4g776g0ijpmf35ljdin"))
               (snippet
                '(begin (delete-file "schemas/gschemas.compiled")))))
     (build-system copy-build-system)
     (arguments
      '(#:install-plan
-       '(("." "share/gnome-shell/extensions/paperwm@hedning:matrix.org"
+       '(("." "share/gnome-shell/extensions/[email-masked]"
           #:include-regexp ("\\.js(on)?$" "\\.css$" "\\.ui$" "\\.png$"
-                            "\\.xml$" "\\.compiled$")))
+                            "\\.xml$" "\\.compiled$" "\\.svg$")))
        #:phases
        (modify-phases %standard-phases
          (add-before 'install 'compile-schemas

base-commit: 3e3975275bbab84d58f7740e9680b265769aa580
-- 
2.41.0